<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.2.10
Name: Termine, Kontrollen, Wiederbestellung
Description: Auflistung weiterer Behandlungstermine, Kontrollen und Wiederbestellungen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.2.2.10-2011-12-19T000000">
   <title>Termine, Kontrollen, Wiederbestellung</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]
Item: (TermineKontrollenWiederbestellung)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']
Item: (TermineKontrollenWiederbestellung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']"
         id="tmp-r-de6a0eaf-a816-436e-a2fa-7ed69a606f76">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.10'])&gt;=1 ">(TermineKontrollenWiederbestellung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.10'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.2.10'])&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:templateId[@root='1.2.40.0.34.11.2.2.10'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:code[(@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')])&gt;=1 and not(hl7:code[(@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')]/@nullFlavor)">(TermineKontrollenWiederbestellung): Element hl7:code[(@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:code[(@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')])&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:code[(@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:title)&gt;=1 ">(TermineKontrollenWiederbestellung): Element hl7:title ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:title)&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:text)&gt;=1 ">(TermineKontrollenWiederbestellung): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="count(hl7:text)&lt;=1">(TermineKontrollenWiederbestellung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:templateId[@root='1.2.40.0.34.11.2.2.10']
Item: (TermineKontrollenWiederbestellung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:templateId[@root='1.2.40.0.34.11.2.2.10']"
         id="tmp-r-6c101b5c-76ac-4bec-94ee-efc1502e3302">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TermineKontrollenWiederbestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.2.10'">(TermineKontrollenWiederbestellung): @root MUSS den Wert '1.2.40.0.34.11.2.2.10' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:code[(@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')]
Item: (TermineKontrollenWiederbestellung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:code[(@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')]"
         id="tmp-r-cabd7649-9a91-4c57-9be5-21931d90d5f5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TermineKontrollenWiederbestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="@nullFlavor or (@code='TERMIN' and @codeSystem='1.2.40.0.34.5.40')">(TermineKontrollenWiederbestellung): Der Elementinhalt MUSS einer von 'code 'TERMIN' codeSystem '1.2.40.0.34.5.40'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:title
Item: (TermineKontrollenWiederbestellung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:title"
         id="tmp-r-0eccef94-c22a-49ed-9150-297adb80a203">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TermineKontrollenWiederbestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="text()='Termine, Kontrollen, Wiederbestellung'">(TermineKontrollenWiederbestellung): Der Elementinhalt von 'hl7:title' MUSS ''Termine, Kontrollen, Wiederbestellung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.2.10
Context: *[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:text
Item: (TermineKontrollenWiederbestellung)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']]/hl7:section[hl7:templateId/@root='1.2.40.0.34.11.2.2.10']/hl7:text"
         id="tmp-r-bbdaa1c7-77aa-4b80-b0ac-9374a8410493">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20150224T130702/tmp-1.2.40.0.34.11.2.2.10-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TermineKontrollenWiederbestellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
